#define MAXANZ 27
#define ZEICHENMIN 97
#define ZEICHENMAX 122
#define LEERZEICHEN 32

#include<iostream>
#include<string>

using namespace std;

//Ein Text soll analysiert werden:
//Die Anzahl der auftretenden Buchstaben soll als 
//Balkendiagramm ausgegeben werden.

class Analyse
{
    private:
        int zaehler[MAXANZ];
        int index;
        string text;
    public:
        Analyse()
        {
            for(int i=0;i<MAXANZ;i++)
                zaehler[i]=0;
            index=0;

            //Nur fr Vortests:
            //zaehler[(int)'u'-ZEICHENMIN] = 5;
            //zaehler[(int)'g'-ZEICHENMIN] = 7;
        
            text="";            
        }
        
        string getText()
        {
            return text;
        }

        void setText(string t)
        {
            text=t;
        }

        void analysiereText()
        {
             for(int i=0;i<MAXANZ;i++)
             {
                 char c = i+ZEICHENMIN;
                 if(i==MAXANZ-1)
                     c=' ';
                 for(int k=0;k<text.size();k++)
                 {
                     char aktuelles_zeichen = text.at(k);
                     if(aktuelles_zeichen==c)
                         zaehler[i]++;
                 }
             }            
        }

        void zeigeAnalyse()
        {
             for(int i=0;i<MAXANZ;i++)
             {
                 char c = i+ZEICHENMIN;
                 if(i==MAXANZ-1)
                     c='_';
                 cout<<c<<' ';
                 //Hier kommt der Balken hin
                 for(int k=0;k<zaehler[i];k++)
                     cout<<'#';
                 cout<<endl;
             }                
        }
};

int main()
{
    Analyse a1;

    a1.setText("das ist mein erster text");

    cout<<a1.getText()<<endl;
    a1.analysiereText();
    a1.zeigeAnalyse();
}


